php.net |  support |  documentation |  report a bug |  advanced search |  search howto |  statistics |  random bug |  login
Bug #67912 PHP 5.3.29 Installer broken
Submitted: 2014-08-26 19:09 UTC Modified: 2014-09-02 21:38 UTC
From: phpbugs at boxingmonkey dot com Assigned: mattficken (profile)
Status: Closed Package: Windows Installer
PHP Version: Irrelevant OS: Windows (all)
Private report: No CVE-ID: None
 [2014-08-26 19:09 UTC] phpbugs at boxingmonkey dot com
Description:
------------
The MSIs for both the Thread Safe and Non-Thread Safe versions of PHP 5.3.29 are missing the actual PHP files. You can see that they are each only about 840k in size.

The installers run, but shortly after starting, they return a "2356" error, and nothing gets installed.


Patches

Add a Patch

Pull Requests

Add a Pull Request

History

AllCommentsChangesGit/SVN commitsRelated reports
 [2014-08-27 08:40 UTC] pajoye@php.net
-Status: Open +Status: Not a bug
 [2014-08-27 08:40 UTC] pajoye@php.net
We do not provide them anymore.

You can rely on the Microsoft WebPI, xamp, wamp or other similar projects if you do not want to simply uncompress the zip in your php folder.
 [2014-08-27 09:27 UTC] phpbugs at boxingmonkey dot com
If you don't want to provide the installers anymore, that's fine, but you are currently providing them and they are broken.
 [2014-08-28 02:59 UTC] aharvey@php.net
-Status: Not a bug +Status: Re-Opened
 [2014-08-28 02:59 UTC] aharvey@php.net
That's a fair point.
 [2014-09-02 21:38 UTC] mattficken@php.net
-Status: Re-Opened +Status: Closed -Assigned To: +Assigned To: mattficken
 [2014-09-02 21:38 UTC] mattficken@php.net
MSIs rebuilt. They work now.
 
PHP Copyright © 2001-2022 The PHP Group
All rights reserved.
Last updated: Thu May 26 05:05:45 2022 UTC